| RDB 2

Namespaces | Classes | Typedefs | Functions
riegl::rdb Namespace Reference

RDB library components. More...

## Namespaces
| library
| RDB library management.
| pointcloud
| RDB point cloud classes.

## Classes
class | Context
| Library context. More...
class | Error
| Database error class. More...
class | Pointcloud
| Main point cloud database class. More...

## Typedefs
typedef void(* | Progress) (std::uint8_t progress, void *userdata)
| Progress callback function type. More...

## Functions
const std::string & | interfaceName ()
| Returns library interface name. More...
const std::string & | interfaceVersion ()
| Returns library interface version string. More...

## Detailed Description

RDB library components.

## Typedef Documentation

## ◆ Progress

typedef void(* riegl::rdb::Progress) (std::uint8_t progress, void *userdata)

Progress callback function type.

Various RDB API functions may accept an optional progress function pointer. That progress function will be called by the API function on a regular basis to communicate the progress of the operation to the client application.

Along with the function pointer a pointer to some user data may be provided to the API function. This pointer will then be provided to the callback function which can use it to get or store some context information. Please note that the library doesn't use the user data in any way - it is just relayed from the caller to the progress callback function.

It is guaranteed that the callback function is only called from within the API function (i.e. it is not called after the API function returned). But it is =NOT= guaranteed that the callback function is called from within the same thread context as the API function.

Definition at line 67 of file progress.hpp.

## Function Documentation

## ◆ interfaceName()

const std::string & riegl::rdb::interfaceName | ( |  | ) |

Returns library interface name.

## ◆ interfaceVersion()

const std::string & riegl::rdb::interfaceVersion | ( |  | ) |

Returns library interface version string.